Subject: RE: [Sip] 3gpp & sip

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 5 Sep 2001 02:00:42 -0400

Yeah, I agree here. This seems like a proxy. Its similar to the SIP/TRIP
model, where a proxy fronts a farm of gateways. TRIP is used to push
resource availability information to the proxy, so that when a SIP call
arrives, it can make an intelligent routing decision based on the tables
that TRIP has populated. Here, its a media server and not a gateway. The
types of information propagated will therefore be different. But,
architecturally, it seems similar.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: Stephen Terrill (ERA) [mailto:[email-masked]]
> Sent: Tuesday, September 04, 2001 11:56 AM
> To: 'Dean Willis'; Drage, Keith (Keith); Miguel A. Garcia; Vijaya
> Venkatachalam
> Cc: [email-masked]
> Subject: RE: [Sip] 3gpp & sip
> 
> 
> Doesn't the softswitch archecture have the softswitch 
> controlling media in via e.g. megaco ....?
> 
> The BGCF is SIP in, SIP out, trying to find the best MGCF for 
> interworking to the circuit switched world ...
> 
> ..//Steve
> 
> -----Original Message-----
> From: Dean Willis [mailto:[email-masked]]
> Sent: Sunday, September 02, 2001 10:29 PM
> To: Drage, Keith (Keith); Miguel A. Garcia; Vijaya Venkatachalam
> Cc: [email-masked]
> Subject: Re: [Sip] 3gpp & sip
> 
> 
> 
> In the wireline world, we call that a "Softswitch" --  it 
> does SIP on one
> side, some kind of signaling out the other (like SS7) and 
> some sort of media
> gateway control protocol to establish media paths supporting the
> RTP-to-whatever bearer channel.
> 
> Such a device might learn about addressing on the SIP network 
> via TRIP, or
> might use entirely different routing table management 
> methods, but it's
> certainly going to need SIP for the actual session signaling.
> 
> --
> Dean
> 
> ----- Original Message -----
> From: "Drage, Keith (Keith)" <[email-masked]>
> To: "Miguel A. Garcia" <[email-masked]>; "Vijaya
> Venkatachalam" <[email-masked]>
> Cc: "Dean Willis" <[email-masked]>; <[email-masked]>
> Sent: Sunday, September 02, 2001 9:08 AM
> Subject: RE: [Sip] 3gpp & sip
> 
> 
> > You can regard the BGCF as doing much the same job as 
> I-CSCFs do between
> > S-CSCFs, but between an S-CSCF and an MGCF. Whatever 
> arguments therefore
> > apply to the protocol selection for I-CSCF interfaces thus 
> also apply to
> the
> > BGCF.
> >
> > The main function of these entities is to act as a router 
> (at the SIP
> level)
> > to another SIP entity, and people keep telling me that is 
> what SIP proxies
> > are good at.
> >
> > Keith
> >
> > Keith Drage
> > Lucent Technologies
> > Tel: +44 1793 776249
> > Email: [email-masked]
> >
> > > ----------
> > > From: Vijaya Venkatachalam[SMTP:[email-masked]]
> > > Sent: 29 August 2001 17:59
> > > To: Miguel A. Garcia
> > > Cc: Dean Willis; [email-masked]
> > > Subject: Re: [Sip] 3gpp & sip
> > >
> > > <<File: vijaya.vcf>>
> > > Hi Miguel,
> > >
> > > For the BGCF to BGCF and the BGCF to MGCF, isn't TRIP
> > > a better choice than SIP.
> > >
> > > Vijaya
> > >
> > > "Miguel A. Garcia" wrote:
> > >
> > > > Just to add a few more interfaces using SIP in 3GPP.
> > > > The S-CSCF and BGCF, BGCF and BGCF, BGCF and MGCF, and 
> S-CSCF and MRF.
> > > >
> > > > /Miguel
> > > >
> > > > Dean Willis wrote:
> > > > >
> > > > > That's actually a question better asked in 3GPP SA2. 
> They have a
> slew
> > > of
> > > > > interfaces, each with a symbolic name like "The Sh interface".
> > > There's also
> > > > > some debate between various 3GPP groups as to which 
> interfaces exist
> > > and
> > > > > what to call them, for example "SIP+" and "ISC" interface(s).
> > > > >
> > > > > In general, SIP is used between UE and P-CSCF, P-CSCF 
> and P-CSCF,
> > > P-CSCF
> > > > > and I-CSCF, I-CSCF and S-CSCF, S-CSCF and AS, and 
> AS-AS, and of
> course
> > > the
> > > > > inverses of those. There's some debate about whether 
> AS may also
> > > directly
> > > > > interface to other SIP nodes withot using S-CSCF and 
> I-CSCF, or may
> go
> > > > > directly to I-CSCF or other firewall proxy without transiting
> S-CSCF.
> > > Mine
> > > > > can -- why pay extra for more S-CSCF than one really 
> needs? But it's
> > > > > configurable so that people who really want to spend 
> more money can
> do
> > > so .
> > > > > . . Free enterprise loves Darwin's dead-end branches 
> if they're
> > > well-funded.
> > > > > There's also another edge-proxy node called a THIG 
> that may appear
> in
> > > > > various locations and speaks SIP.
> > > > >
> > > > > --
> > > > > Dean
> > > > >
> > > > > ----- Original Message -----
> > > > > From: "Vijaya Venkatachalam" <[email-masked]>
> > > > > To: <[email-masked]>
> > > > > Sent: Monday, August 27, 2001 12:53 PM
> > > > > Subject: [Sip] 3gpp & sip
> > > > >
> > > > > > Hi,
> > > > > >
> > > > > > Which all interfaces in 3GPP are using SIP?
> > > > > >
> > > > > > Thanks,
> > > > > > Vijaya
> > > > > >
> > > > > >
> > > > >
> > > > > _______________________________________________
> > > > > Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
> > > > > This list is for NEW development of the core SIP Protocol
> > > > > Use [email-masked] for questions on 
> current sip
> > > > > Use [email-masked] for new developments on the 
> application of sip
> > > >
> > > > --
> > > > Miguel-Angel Garcia                     Oy LM Ericsson AB
> > > >                                         Jorvas, Finland
> > > > mailto:[email-masked]     Phone:  +358 9 299 3553
> > > > mailto:[email-masked]        Mobile: +358 40 5140002
> > >
> >
> >
> 
> 
> _______________________________________________
> Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 
> _______________________________________________
> Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip